Question Quelle commande de terminal vérifie la version d'Ubuntu [dupliquer]


Cette question a déjà une réponse ici:

Quelle commande de terminal indique la version d'Ubuntu.


106
2018-06-14 17:33


origine


@fossfreedom Cette question n'est pas une duplication de la question que vous avez liée parce que je demande comment vérifier en utilisant terminal, pas la manière graphique. enlevez votre souci - Nick Bailuc
Le duplicata couvre à la fois les terminaux et les graphiques. IMHO ils sont la même question. Celles-ci devraient probablement être fusionnées. Je vais demander à quelque 20 000 utilisateurs avant de prendre cette décision. - fossfreedom♦
le duplicata le fait mais la question ne le fait pas. quand d'autres recherchent une commande de terminal et trouvent l'autre question, ils la regardent parce qu'elle n'en dit rien dans la description de la question - Nick Bailuc


Réponses:


Pour la description et le numéro de version, y compris le nom du système d'exploitation, exécutez:

$ lsb_release -d
Description:    Ubuntu 12.04 LTS

Juste pour le nom de code, utilisez:

$ lsb_release -c
Codebase:   precise

Pour le numéro de version uniquement, utilisez:

$ lsb_release -r
Release:    12.04

Pour tous lsb détails de la version, utilisez:

$ lsb_release -a
Distributor ID: Ubuntu
Description:    Ubuntu 12.04 LTS
Release:    12.04
Codename:   precise

131
2018-06-14 19:24



Cela donne le nom de code. pour la description, y compris le nom du système d’exploitation ("Ubuntu" sur un système Ubuntu) et le numéro de version, utilisez lsb_release -d. Pour le numéro de version uniquement, utilisez lsb_release -r. Pour tout disponible lsb information, utilisation lsb_release -a. - Eliah Kagan
Notez sur 16.04 que ça ne marche pas. Obtenir un message à la place "Aucun module LSB n'est disponible." - Marcin


Cela devrait vous donner ce que vous voulez:

cat /etc/lsb-release

78
2018-06-14 17:35



En utilisant lsb_releaseme donne juste "Aucun module LSB n'est disponible". Cela fait l'affaire. - eis
Utilisez lsb_release -ra - Konrad Gajewski
Fonctionne le 16.04 contrairement à lsb_release. - Marcin
Travailler avec Ubuntu via Docker, et cette commande fonctionne si vous utilisez la version 16.04 et versions ultérieures et 12.04. Celui de la réponse acceptée fonctionne pour la version 14.04. - MattD